Loading...
Searching...
No Matches
pcl::cuda::detail::Graph< T > Class Template Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/cuda/segmentation/include/pcl/cuda/segmentation/mssegmentation.h>`

## Public Types

using | Edge = GraphEdge<T>

## Public Member Functions

| Graph (int numv, int nume_max)
void | addEdge (int from, int to, const T &val=T())

## Public Attributes

std::vector< int > | start
std::vector< Edge > | edges
int | numv
int | nume_max
int | nume

## Detailed Description

template<typename T>
class pcl::cuda::detail::Graph< T >

Definition at line 96 of file mssegmentation.h.

## Member Typedef Documentation

## Edge

template<typename T>

using pcl::cuda::detail::Graph< T >::Edge = GraphEdge<T>

Definition at line 99 of file mssegmentation.h.

## Constructor & Destructor Documentation

## Graph()

template<typename T>

pcl::cuda::detail::Graph< T >::Graph | ( | int | numv,
|  | int | nume_max )

Definition at line 199 of file mssegmentation.h.

References edges, nume, nume_max, numv, and start.

## Member Function Documentation

## addEdge()

template<typename T>

void pcl::cuda::detail::Graph< T >::addEdge | ( | int | from,
|  | int | to,
|  | const T & | val = T() )

inline

Definition at line 208 of file mssegmentation.h.

References edges, nume, and start.

## Member Data Documentation

## edges

template<typename T>

std::vector<Edge> pcl::cuda::detail::Graph< T >::edges

Definition at line 106 of file mssegmentation.h.

Referenced by addEdge(), and Graph().

## nume

template<typename T>

int pcl::cuda::detail::Graph< T >::nume

Definition at line 110 of file mssegmentation.h.

Referenced by addEdge(), and Graph().

## nume_max

template<typename T>

int pcl::cuda::detail::Graph< T >::nume_max

Definition at line 109 of file mssegmentation.h.

Referenced by Graph().

## numv

template<typename T>

int pcl::cuda::detail::Graph< T >::numv

Definition at line 108 of file mssegmentation.h.

Referenced by Graph().

## start

template<typename T>

std::vector<int> pcl::cuda::detail::Graph< T >::start

Definition at line 105 of file mssegmentation.h.

Referenced by addEdge(), and Graph().

The documentation for this class was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/cuda/segmentation/include/pcl/cuda/segmentation/mssegmentation.h